/* Copyright (C) 1994, 1995 Aladdin Enterprises.  All rights reserved.
  
  This file is part of Aladdin Ghostscript.
  
  Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author
  or distributor accepts any responsibility for the consequences of using it,
  or for whether it serves any particular purpose or works at all, unless he
  or she says so in writing.  Refer to the Aladdin Ghostscript Free Public
  License (the "License") for full details.
  
  Every copy of Aladdin Ghostscript must include a copy of the License,
  normally in a plain ASCII text file named PUBLIC.  The License grants you
  the right to copy, modify and redistribute Aladdin Ghostscript, but only
  under certain conditions described in the License.  Among other things, the
  License requires that the copyright notice and this notice be preserved on
  all copies.
*/

#ifndef gp_mac_INCLUDED
#  define gp_mac_INCLUDED

#include "gdevmac.h"
#include "zarfcon.h"

extern short		gWidth, gHeight;
extern short		gScreenDepth;

extern zcConsole	theConsole;
extern Boolean		interruptRequest;

void initAll(void);
void exitAll(void);

void ViewAppInit(void);
void ViewAppExit(void);
void ViewAppEvent(EventRecord *);

void noMemoryExit(void);
void noMemroyWarn(void);

void note_interp_state(int s);
#define INTERP_STARTUP		0
#define INTERP_PROMPT		1
#define INTERP_RUN			2
#define INTERP_PAUSE		3
#define INTERP_CMD_LINE		4

void macHouseKeeping(void);
void confirm_next_page(mac_gs_win * mwin);

void specDialogOpen(void);
void confirmDialogOpen(void);
void confirmDialogDone(Boolean interrupt);
int dialogHandleEvent(EventRecord * e);

void aboutDialogOpen(void);

void prefDialogOpen(void);
void loadPreferences(void);
void savePreferences(Boolean atQuit);

typedef struct {
	short			version;
	
	Boolean			save_positions;
	Boolean			save_specs;

	Str255			command_line;
	Boolean			command_ask;
	
	Boolean			console_visible;
	Point			console_position;
	Point			console_size;
	
	Boolean			next_page_window;
	Boolean			next_page_sound;
	Point			next_page_position;
	
	Boolean			specs_visible;
	Point			specs_position;
	dev_spec		init_spec;

	Point			prefs_position;
} preferences;

#define PREFS_VERSION		1

extern preferences thePrefs;


#endif 				/* gp_mac_INCLUDED */

