/* Copyright (C) 1995 Aladdin Enterprises.  All rights reserved.
  
  This file is part of Aladdin Ghostscript.
  
  Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author
  or distributor accepts any responsibility for the consequences of using it,
  or for whether it serves any particular purpose or works at all, unless he
  or she says so in writing.  Refer to the Aladdin Ghostscript Free Public
  License (the "License") for full details.
  
  Every copy of Aladdin Ghostscript must include a copy of the License,
  normally in a plain ASCII text file named PUBLIC.  The License grants you
  the right to copy, modify and redistribute Aladdin Ghostscript, but only
  under certain conditions described in the License.  Among other things, the
  License requires that the copyright notice and this notice be preserved on
  all copies.
*/

#include "Types.r"
#include "BalloonTypes.r"


resource 'hdlg' (1302, purgeable) {
	HelpMgrVersion, 0, hmDefaultOptions, 0, 0,
	
	HMSkipItem { },
	
	{
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 2,	0, 0,		0, 0,		0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 3,	0, 0,		0, 0,		0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 4,	0, 0,		0, 0,		0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 5,	0, 0,		0, 0,		0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 6,	0, 0,		1302, 6,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 7,	0, 0,		1302, 7,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 8,	0, 0,		1302, 8,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 9,	0, 0,		0, 0,		0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 11,	1302, 10,	1302, 10,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 12,	0, 0,		0, 0,		0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 13,	0, 0,		1302, 13,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 14,	0, 0,		1302, 14,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 15,	0, 0,		1302, 15,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 16,	0, 0,		1302, 16,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 17,	1302, 17,	1302, 17,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 18,	1302, 18,	1302, 18,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 19,	1302, 19,	1302, 19,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 20,	1302, 20,	1302, 20,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 21,	1302, 22,	1302, 21,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 22,	1302, 22,	1302, 22,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1302, 23,	1302, 23,	0, 0,		0, 0 },
	}
};

resource 'STR#' (1302, purgeable) { {
	"This feature not yet implemented.",

	"Close the dialog and accept the settings for the next rendering window.",
	"Forget changes to settings and close the dialog.",
	
	"The width of the output page.\n\nIf there is scaling, the window may be bigger or smaller.",
	"The height of the output page.\n\nIf there is scaling, the window may be bigger or smaller.",
	
	"Display the page size in inches.",
	"Display the page size in centimeters.",
	"Display the page size in points (1/72 of an inch).",

	"Select from this menu to set a common page size.",
	
	"Page size information in files will be ignored.",
	"Page size information in files will override these settings.\n\nNot currently implemented.",
	
	"Actual output size will be the page size scaled by this amount.",
	
	"Display the scale factor as a percent of the page size.",
	"Display the scale factor as an amount to multiply the page size by.",
	"Display the scale factor as an amount to divide the page size by.",
	"Display the scale factor as dots (pixels) per inch of the output.",
	
	"Render in black and white (monochrome).\n\n"
		"This mode is very memory efficient.  Use it for text documents.",
	"Render with 16 levels of gray (4 bits per pixel).",
	"Render with 256 levels of gray (8 bits per pixel).\n\nNot yet implemented.",
	"Render with 16 levels of color (4 bits per pixel).\n\nNot yet implemented.",
	"Render with 256 levels of color (8 bits per pixel).",
	"Render with millions of colors (24 bits per pixel).\n\nThis generally requires lots of memory."
		"\n\nNot yet implemented.",

	"The amount of memory rendering an image with the selected Page Size, "
		"Scaling and Image mode will consume.",
} };




resource 'MENU' (302) {
	302,
	textMenuProc,
	0x7FFFFDDC,
	enabled,
	"Paper Scaling",
	{
		"Custom",			noIcon, noKey, noMark, plain,
		"-",				noIcon, noKey, noMark, plain,
		"ISO A3",			noIcon, noKey, noMark, plain,
		"ISO A4",			noIcon, noKey, noMark, plain,
		"ISO B4",			noIcon, noKey, noMark, plain,
		"-",				noIcon, noKey, noMark, plain,
		"US Letter",		noIcon, noKey, noMark, plain,
		"US Legal",			noIcon, noKey, noMark, plain,
		"US Note",			noIcon, noKey, noMark, plain,
		"-",				noIcon, noKey, noMark, plain,
		"Wide Letter",		noIcon, noKey, noMark, plain,
		"Wide Legal",		noIcon, noKey, noMark, plain
	}
};

resource 'PSiz' (302)	{
	{
		0, 0, 0,
		0, 0, 0,
		297, 420, millimeters,
		210, 297, millimeters,
		250, 353, millimeters,
		0, 0, 0,
		85, 110, inchesX10,
		85, 140, inchesX10,
		75, 100, inchesX10,
		0, 0, 0,
		110, 85, inchesX10,
		140, 85, inchesX10
	}
};


resource 'hmnu' (302, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,

	HMStringResItem {		302, 1,		0, 0,		302, 2,		0, 0 },
	
	{
		HMStringResItem {	302, 3,		302, 3,		302, 3,		302, 3 },

		HMStringResItem {	0, 0,		302, 4,		302, 5,		0, 0 },
		HMSkipItem { },
	}
};

resource 'STR#' (302, purgeable) { {
	"Selecting this sets the page size.",
	"The page will be this size.",
	"Select from this menu to set a common page size.",
	"To enter a custom page size, edit the values at left.",
	"A custom page size has been entered.",
} };




resource 'MENU' (303) {
	303,
	textMenuProc,
	0x7FFFFBB9,
	enabled,
	"Paper Scaling",
	{
		"Full Size",	noIcon, noKey, noMark, plain,
		"Custom",		noIcon, noKey, noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Half",			noIcon, noKey, noMark, plain,
		"Third",		noIcon, noKey, noMark, plain,
		"Quarter",		noIcon, noKey, noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Double",		noIcon, noKey, noMark, plain,
		"Triple",		noIcon, noKey, noMark, plain,
		"Quadruple",	noIcon, noKey, noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"125%",			noIcon, noKey, noMark, plain,
		"133%",			noIcon, noKey, noMark, plain,
		"150%",			noIcon, noKey, noMark, plain
	}
};

resource 'hmnu' (303, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	
	HMStringResItem {		303, 1,		0, 0,		303, 2,		0, 0 },
	
	{
		HMStringResItem {	303, 3,		303, 3,		303, 3,		303, 3 },
		HMStringResItem {	303, 4,		0, 0,		303, 5,		0, 0 },
		HMStringResItem {	0, 0,		303, 6,		303, 7,		0, 0 },
	}
};

resource 'STR#' (303, purgeable) { {
	"Selecting this sets the scaling.",
	"The output will be scaled by this amount.",
	"Select from this menu to set a common output scaling.",
	"Reset the output to be full size.",
	"The output will be full size.",
	"To enter a custom scaling, edit the scale factor value.",
	"A custom scaling factor has been entered.",
} };

resource 'PScl' (303) {
	{
		7200,
		0,
		0,
		3600,
		2400,
		1800,
		0,
		14400,
		21600,
		28800,
		0,
		9000,
		9600,
		10800
	}
};



resource 'hdlg' (1304, purgeable) {
	HelpMgrVersion, 0, hmDefaultOptions, 0, 0,
	
	HMSkipItem { },
	
	{
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1304, 1,	0, 0,		0, 0,		0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1304, 2,	0, 0,		0, 0,		0, 0 },
	}
};

resource 'STR#' (1304, purgeable) { {
	"Continue and render the next page.",
	"Cancel all further processing.",
} };


resource 'hdlg' (1305, purgeable) {
	HelpMgrVersion, 3, hmDefaultOptions, 0, 5,
	
	HMSkipItem { },
	
	{
		HMStringResItem {	{ 6, 4 },	{ 0, 0, 0, 0 },		1305, 1,	1305, 1,		0, 0,		0, 0 },
	}
};

resource 'STR#' (1305, purgeable) { {
	"Boo!",
} };



resource 'hdlg' (1306, purgeable) {
	HelpMgrVersion, 0, hmDefaultOptions, 0, 0,
	
	HMSkipItem { },
	
	{
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 1,	0, 0,		0, 0,		0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 2,	0, 0,		0, 0,		0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 3,	0, 0,		1306, 4,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 4,	0, 0,		1306, 3,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 5,	0, 0,		0, 0,		0, 0 },
		
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 6,	0, 0,		1306, 7,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 8,	0, 0,		1306, 9,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 10,	0, 0,		1306, 11,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 12,	0, 0,		1306, 13,	0, 0 },

		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 14,	0, 0,		1306, 15,	0, 0 },
		HMStringResItem {	{ 0, 0 },	{ 0, 0, 0, 0 },		1306, 16,	0, 0,		1306, 17,	0, 0 },
	}
};

resource 'STR#' (1306, purgeable) { {
	"Close the dialog and save the preferences.",
	"Forget changes to preferences and close the dialog.",
	
	"At start up, the command line in this dialog will be used.",
	"At start up, you will be asked to enter Ghostscript's command line.",
	"If checked, this command line will be used when Ghostscript is started.",
	
	"The Command Input window will be hidden when Mac GS Viewer starts.",
	"The Command Input window will be shown when Mac GS Viewer starts.",
	"The Settings dialog will be hidden when Mac GS Viewer starts.",
	"The Settings dialog window will be shown when Mac GS Viewer starts.",
	
	"When there is another page to render remain silent .",
	"When there is another page to render play a sound.",
	"When there is another page to render do not show a dialog.",
	"When there is another page to render show a dialog.",
	
	"Reset window and dialog positions each time you start.",
	"When you Quit, remember window and dialog positions for next time.",
	"Reset the settings each time you start.",
	"When you Quit, remember the settings for next time.",
} };



resource 'hfdr' (-5696) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	{ HMSTRResItem { 1001 } }
};

resource 'STR ' (1001) {
	"Use Mac GS Viewer to interpret PostScript\252 language files using Aladdin Ghostscript.\n\n"
	"Ghostscript can render into a window, or into a file in any of "
	"a number of popular formats."
};

