/* Copyright (C) 1995 Aladdin Enterprises.  All rights reserved.
  
  This file is part of Aladdin Ghostscript.
  
  Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author
  or distributor accepts any responsibility for the consequences of using it,
  or for whether it serves any particular purpose or works at all, unless he
  or she says so in writing.  Refer to the Aladdin Ghostscript Free Public
  License (the "License") for full details.
  
  Every copy of Aladdin Ghostscript must include a copy of the License,
  normally in a plain ASCII text file named PUBLIC.  The License grants you
  the right to copy, modify and redistribute Aladdin Ghostscript, but only
  under certain conditions described in the License.  Among other things, the
  License requires that the copyright notice and this notice be preserved on
  all copies.
*/

#include "Types.r"
#include "BalloonTypes.r"


#define gsStillWorking		"\n\nDimmed because Ghostscript is still working."
#define gsStillWorkingDev	"\n\nDimmed because you can't change devices while Ghostscript is working."
#define notGraphic			"\n\nDimmed because the top window isn't a picture, or is still in use by Ghostscript."

resource 'MENU' (128) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
		"About Mac GS Viewer",	noIcon, noKey, noMark, plain,
		"-",					noIcon, noKey, noMark, plain,
	}
};


resource 'MENU' (129) {
	129,
	textMenuProc,
	0x7FFFFD1F,
	enabled,
	"File",
	{
		"New",			noIcon, "N", noMark, plain,
		"Open",		noIcon, "O", noMark, plain,
		"Close",		noIcon, "W", noMark, plain,
		"Save As",		noIcon, "S", noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Page Setup",	noIcon, noKey, noMark, plain,
		"Print",		noIcon, "P", noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Preferences",	noIcon, noKey, noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Quit",			noIcon, "Q", noMark, plain,
	}
};

resource 'hmnu' (129, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	
	HMStringResItem {		129, 1,		129, 1,		0, 0,		0, 0 },
	
	{
		HMStringResItem {	129, 2,		0, 0,		0, 0,		0, 0 },
		
		HMStringResItem {	129, 3,		129, 4,		0, 0,		0, 0 },
		HMStringResItem {	129, 5,		129, 6,		0, 0,		0, 0 },
		HMStringResItem {	129, 7,		129, 8,		0, 0,		0, 0 },
		HMStringResItem {	129, 9,		129, 10,	0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	0, 0,		0, 0,		0, 0,		0, 0 },
		HMStringResItem {	0, 0,		0, 0,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	129, 11,	0, 0,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	129, 12,	0, 0,		0, 0,		0, 0 },
	}
};


resource 'STR#' (129, purgeable) { {
	"This feature is not yet implemented.",
	"Use this menu to open, view and save files.",
	
	"Create a new rendering window.",
	"Create a new rendering window." gsStillWorking,
	"Open and render a PostScript file into a new window.",
	"Open and render a PostScript file into a new window." gsStillWorking,
	"Close a window.",
	"Close a window." notGraphic,
	"Save a picture in a file.",
	"Save a picture in a file." notGraphic,
	
	"Edit the application preferences.",
	
	"Quit Mac GS Viewer.",
} };



resource 'MENU' (130) {
	130,
	textMenuProc,
	0x7FFFFE08,
	enabled,
	"Edit",
	{	
		"Undo",			noIcon, "Z", noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Cut",			noIcon, "X", noMark, plain,
		"Copy",			noIcon, "C", noMark, plain,
		"Paste",		noIcon, "V", noMark, plain,
		"Clear",		noIcon, noKey, noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Select All",	noIcon, "A", noMark, plain,
		"-",			noIcon, noKey, noMark, plain,
		"Settings",	noIcon, ";", noMark, plain,
	}
};

resource 'hmnu' (130, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	
	HMStringResItem {		130, 1,		130, 1,		0, 0,		0, 0 },
	
	{
		HMStringResItem {	130, 2,		0, 0,		0, 0,		0, 0 },
		
		HMStringResItem {	0, 0,		130, 3,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	0, 0,		130, 4,		0, 0,		0, 0 },
		HMStringResItem {	130, 5,		130, 6,		0, 0,		0, 0 },
		HMStringResItem {	0, 0,		130, 7,		0, 0,		0, 0 },
		HMStringResItem {	0, 0,		130, 8,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	0, 0,		130, 9,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	130, 10,	0, 0,		0, 0,		0, 0 },
	}
};

resource 'STR#' (130, purgeable) { {
	"This feature is not yet implemented.",
	"Use this menu to copy pictures and to set the window characteristics.",
	
	"Ghostscript actions cannot be undone.",
	"Pictures cannot be cut.  Try Copy instead.",
	"Copy a picture to the Clipboard.",
	"Copy a picture to the Clipboard." notGraphic,
	"Pictures can only be altered by Ghostscript.",
	"Pictures can only be altered by Ghostscript.\n\nUse New in the File menu to create an empty rendering window.",

	"Dimmed because no selection is needed:  The whole picture is always used for a Copy operation.",
	"Set the characteristics of the next rendering window.",
} };

	
resource 'MENU' (131) {
	131,
	textMenuProc,
	0x7FFFFFB7,
	enabled,
	"Ghostscript",
	{
		"Input Window",			noIcon, "1", noMark, plain,
		"Rendering Window",		noIcon, "2", noMark, plain,
		"New Rendering Window",	noIcon, noKey, noMark, plain,
		"-",					noIcon, noKey, noMark, plain,
		"Run",					noIcon, "R", noMark, plain,
		"Interrupt",			noIcon, ".", noMark, plain,
		"Next Page",			noIcon, noKey, noMark, plain,
	}
};

resource 'hmnu' (131, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	
	HMSkipItem { },
	
	{
		HMStringResItem {	131, 1,		0, 0,		0, 0,		0, 0 },
		
		HMStringResItem {	131, 2,		0, 0,		0, 0,		0, 0 },
		HMStringResItem {	131, 3,		131, 4,		0, 0,		0, 0 },
		HMStringResItem {	131, 5,		131, 6,		0, 0,		0, 0 },
		HMSkipItem { },
		HMStringResItem {	131, 7,		131, 8,		0, 0,		0, 0 },
		HMStringResItem {	131, 9,		131, 10,	0, 0,		0, 0 },
		HMStringResItem {	131, 11,	131, 12,	0, 0,		0, 0 },
	}
};

resource 'STR#' (131, purgeable) { {
	"Use this menu to control Ghostscript.",
	
	"Bring the command input window to the top.",
	"Bring the current rendering window to the top.",
	"Bring the current rendering window to the top.\n\nDimmed because there is no rendering window."
		"  One will be created when you use New in the File menu, or use New Rendering Window below.",
	"Create a new rendering window.",
	"Create a new rendering window." gsStillWorking,
	"Open and execute a PostScript file using the current rendering window.",
	"Open and execute a PostScript file using the current rendering window." gsStillWorking,

	"Stop whatever Ghostscript is working on.",
	"Stop whatever Ghostscript is working on."
		"\n\nDimmed because either Ghostscript isn't doing anything, or is trying to stop.",
	
	"Render the next page of the document.",
	"Render the next page of the document."
		"\n\nDimmed because Ghostscript isn't waiting to render another page.",
} };



resource 'MENU' (132) {
	132,
	textMenuProc,
	allEnabled,
	enabled,
	"Devices",
	{	/* array: 0 elements */
	}
};

resource 'hmnu' (132, purgeable) {
	HelpMgrVersion, hmDefaultOptions, 0, 0,
	
	HMStringResItem {		132, 1,		132, 2,		132, 3,		0, 0 },
	
	{
		HMStringResItem {	132, 4,		132, 5,		0, 0,		0, 0 },
		
		HMStringResItem {	132, 6,		132, 7,		132, 8,		0, 0 },
	}
};

resource 'STR#' (132, purgeable) { {
	"Select this to make it the output device.",
	"Select this to make it the output device." gsStillWorkingDev,
	"This is the current output device.",
	
	"Use this menu to change Ghostscript's output device.",
	"Use this menu to change Ghostscript's output device." gsStillWorkingDev,
	
	"Select this to make a window be the output device.",
	"Select this to make a window be the output device." gsStillWorkingDev,
	"A window is or will be the current output device.\n\nChoose Rendering Window in the Ghostscript menu to see it.",
} };



resource 'MBAR' (128) {
	{
		128,
		129,
		130,
		131,
		132
	}
};

resource 'MMap' (128, preload) {
	{
		128, menuTitle, 1000,
		128, 1, 100,
		128, defaultItem, 101,
		
		129, menuTitle, 1001,
		129, 1, 200,
		129, 2, 201,
		129, 3, 202,
		129, 4, 204,
		129, 6, 300,
		129, 7, 301,
		129, 9, 400,
		129, 11, 299,
		
		130, menuTitle, 1002,
		130, 1, 68,
		130, 3, 70,
		130, 4, 71,
		130, 5, 72,
		130, 6, 73,
		130, 8, 75,
		130, 10, 401,
		
		131, menuTitle, 2000,
		131, 1, 500,
		131, 2, 501,
		131, 3, 502,
		131, 5, 510,
		131, 6, 511,
		131, 7, 512,
		
		132, menuTitle, 2001,
		132, defaultItem, 600
	}
};



