# Copyright (C) 1990, 1992, 1993, 1994, 1995 Aladdin Enterprises.  All rights reserved.
# 
# This file is part of Aladdin Ghostscript.
# 
# Aladdin Ghostscript is distributed with NO WARRANTY OF ANY KIND.  No author
# or distributor accepts any responsibility for the consequences of using it,
# or for whether it serves any particular purpose or works at all, unless he
# or she says so in writing.  Refer to the Aladdin Ghostscript Free Public
# License (the "License") for full details.
# 
# Every copy of Aladdin Ghostscript must include a copy of the License,
# normally in a plain ASCII text file named PUBLIC.  The License grants you
# the right to copy, modify and redistribute Aladdin Ghostscript, but only
# under certain conditions described in the License.  Among other things, the
# License requires that the copyright notice and this notice be preserved on
# all copies.

# Tail of makefile for Mac configuration.


# -------------------------------- Headers -------------------------------- #

zarfcon_h="{gsmac}zarfcon.h"
gdevmac_h="{gsmac}gdevmac.h"
gp_mac_h="{gsmac}gp_mac.h" {zarfcon_h}

# -------------------------------- Device -------------------------------- #

## The Mac Device

MAC="gdevmac.{OBJ}" "gdevmacw.{OBJ}"
mac.dev  {MAC}
	{SETDEV} mac {MAC}

"gdevmac.{OBJ}"  "{gsmac}gdevmac.c" {gp_mac_h} {gdevmac_h}

"gdevmacw.{OBJ}"  "{gsmac}gdevmacw.c" {gp_mac_h} {gdevmac_h}


# -------------------------------- Platform -------------------------------- #

## The Mac platform & Application

# Things in MAC2 depend on gconfig.h and thus on .dev, so mac_.dec can't
# depend on them.  The final app must depend on them.

MAC1="gp_mac.{OBJ}" "gp_macc.{OBJ}"  
	"gp_macd.{OBJ}" "zmac.{OBJ}" "zarfcon.{OBJ}"
MAC2="gp_macv.{OBJ}"

mac_.dev  {MAC1}
	{SETMOD} mac_ {MAC1} {MAC2}
	{ADDMOD} mac_ -iodev macstdio
	{ADDMOD} mac_ -ps gs_mac
	{ADDMOD} mac_ -oper zmac

"gp_mac.{OBJ}"  "{gsmac}gp_mac.c" {gp_mac_h}

"gp_macc.{OBJ}"  "{gsmac}gp_macc.c" {gp_mac_h}

"gp_macd.{OBJ}"  "{gsmac}gp_macd.c" {gp_mac_h} {gdevmac_h}

"gp_macv.{OBJ}"  "{gsmac}gp_macv.c" {gp_mac_h} {gconfig_h}

"zmac.{OBJ}"  "{gsmac}zmac.c" {gp_mac_h}

"zarfcon.{OBJ}"  "{gsmac}zarfcon.c" {zarfcon_h}

## The gconfigv.h file

"{gssrc}gconfigv.h"  {MAKEFILE} echogs{XE}
	{EXP}echogs -w gconfigv.h -x 23 define USE_ASM -x 2028 -q {USE_ASM}-0 -x 29
	{EXP}echogs -a gconfigv.h -x 23 define USE_FPU -x 2028 -q {USE_FPU}-0 -x 29
	move -y gconfigv.h "{gssrc}gconfigv.h"


# -------------------------- Auxiliary programs --------------------------- #

"toolmain.o"  "{gsmac}toolmain.c"
	{CCAUX} {O} "toolmain.o" "{gsmac}toolmain.c"

echogs{XE}  "{gssrc}echogs.c" "toolmain.o"
	{CCAUX} {O} "echogs.{OBJ}" "{gssrc}echogs.c" 
	{CCLDAUX} {O} echogs{XE} "echogs.{OBJ}" "toolmain.o" {AUXLIBS}

#genarch isn't used as we need a custom one for Macintosh
#genarch{XE}  "{gssrc}genarch.c" "toolmain.o"
#	{CCAUX} {O} "genarch.{OBJ}" "{gssrc}genarch.c"
#	{CCLDAUX} {O} genarch{XE} "genarch.{OBJ}" "toolmain.o" {AUXLIBS}

genconf{XE}  "{gssrc}genconf.c" "toolmain.o"
	{CCAUX} {O} "genconf.{OBJ}" "{gssrc}genconf.c"
	{CCLDAUX} {O} genconf{XE} "genconf.{OBJ}" "toolmain.o" {AUXLIBS}

"{gssrc}gconfig_.h"  
	echo "/* This file deliberately left blank. */" >"{gssrc}gconfig_.h"


# ----------------------------- Main program ------------------------------ #


{GS}{XE}  ld.tr echogs "gs.{OBJ}" {INT_ALL} {DEVS_ALL} {MAC2}
	{CCLD} {LDFLAGS} -o {GS}{XE} 
		"gs.{OBJ}" `catenate ld.tr` 
		{LDLIBS}

RFILES="{gsmac}gp_macr.r" "{gsmac}gp_macm.r" "{gsmac}gp_macd.r"

{GS}{XE}  {RFILES}
	duplicate -y "{gsmac}gp_mac.rsrc" "gp_mac.rsrc"
	rez -a -o "gp_mac.rsrc" {RFILES}
	echo "include "gp_mac.rsrc";" | rez -a -o {GS}{XE}
