/* 
  This file is extracted from the Types.h header file
  for Macintosh.  It is here because we can't include
  Types.h because it declares all sorts of things we
  don't want, BUT Apple's math.h includes it (indirectly
  via fp.h).  Yes, this make Apple's file non ANSI!
*/

/* These are here as MWERKS is currently broken and doesn't define 'em */

#ifdef __MWERKS__
#  ifdef powerc
#    define GENERATING68K 0
#    define GENERATINGPOWERPC 1
#  else
#    define GENERATING68K 1
#    define GENERATINGPOWERPC 0
#    ifdef __MC68881__
#        define GENERATING68881 1
#    else
#        define GENERATING68881 0
#    endif
#  endif
#endif


struct _extended80 {
	short							exp;
	short							man[4];
};
struct _extended96 {
	short							exp[2];
	short							man[4];
};
#if GENERATING68K 
#if defined(__MWERKS__)
/* Note: Metrowerks on 68K doesn't declare 'extended' or 'comp' implicitly. */
typedef long double extended;
typedef struct comp { long hi,lo; } comp;

#elif defined(THINK_C)
/* Note: THINK C doesn't declare 'comp' implicitly and needs magic for 'extended' */
typedef struct { short man[4]; } comp;
typedef struct _extended80 __extended;	//  <-- this line is magic
typedef __extended extended;

#endif
/* 
Note: on PowerPC extended is undefined.
      on 68K when mc68881 is on, extended is 96 bits.  
             when mc68881 is off, extended is 80 bits.  
      Some old toolbox routines require an 80 bit extended so we define extended80
*/
#if GENERATING68881
typedef struct _extended80 extended80;

typedef extended extended96;

#else
typedef extended extended80;

typedef struct _extended96 extended96;

#endif
#else
typedef struct _extended80 extended80;

typedef struct _extended96 extended96;

#endif
/*
Note: float_t and double_t are "natural" computational types
      (i.e.the compiler/processor can most easily do floating point
	  operations with that type.) 
*/
#if GENERATINGPOWERPC
/* on PowerPC, double = 64-bit which is fastest.  float = 32-bit */
typedef float float_t;

typedef double double_t;

#else
/* on 68K, long double (a.k.a. extended) is always the fastest.  It is 80 or 96-bits */
typedef long double float_t;

typedef long double double_t;

#endif

